Index: serefpolicy-contrib-20140730/dspam.if
===================================================================
--- serefpolicy-contrib-20140730.orig/dspam.if
+++ serefpolicy-contrib-20140730/dspam.if
@@ -1,13 +1,15 @@
-## <summary>Content-based spam filter designed for multi-user enterprise systems.</summary>
+
+## <summary>policy for dspam</summary>
+
 
 ########################################
 ## <summary>
 ##	Execute a domain transition to run dspam.
 ## </summary>
 ## <param name="domain">
-##	<summary>
+## <summary>
 ##	Domain allowed access.
-##	</summary>
+## </summary>
 ## </param>
 #
 interface(`dspam_domtrans',`
@@ -15,35 +17,211 @@ interface(`dspam_domtrans',`
 		type dspam_t, dspam_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, dspam_exec_t, dspam_t)
 ')
 
-#######################################
+
+########################################
 ## <summary>
-##	Connect to dspam using a unix
-##	domain stream socket.
+##	Execute dspam server in the dspam domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	The type of the process performing this action.
+##	</summary>
+## </param>
+#
+interface(`dspam_initrc_domtrans',`
+	gen_require(`
+		type dspam_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, dspam_initrc_exec_t)
+')
+
+########################################
+## <summary>
+##	Allow the specified domain to read dspam's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
+## <rolecap/>
 #
-interface(`dspam_stream_connect',`
+interface(`dspam_read_log',`
+	gen_require(`
+		type dspam_log_t;
+	')
+
+	logging_search_logs($1)
+        read_files_pattern($1, dspam_log_t, dspam_log_t)
+')
+
+########################################
+## <summary>
+##	Allow the specified domain to append
+##	dspam log files.
+## </summary>
+## <param name="domain">
+## 	<summary>
+##	Domain allowed to transition.
+## 	</summary>
+## </param>
+#
+interface(`dspam_append_log',`
+	gen_require(`
+		type dspam_log_t;
+	')
+
+	logging_search_logs($1)
+        append_files_pattern($1, dspam_log_t, dspam_log_t)
+')
+
+########################################
+## <summary>
+##	Allow domain to manage dspam log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`dspam_manage_log',`
+	gen_require(`
+		type dspam_log_t;
+	')
+
+	logging_search_logs($1)
+        manage_dirs_pattern($1, dspam_log_t, dspam_log_t)
+        manage_files_pattern($1, dspam_log_t, dspam_log_t)
+        manage_lnk_files_pattern($1, dspam_log_t, dspam_log_t)
+')
+
+########################################
+## <summary>
+##	Search dspam lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`dspam_search_lib',`
+	gen_require(`
+		type dspam_var_lib_t;
+	')
+
+	allow $1 dspam_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read dspam lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`dspam_read_lib_files',`
+	gen_require(`
+		type dspam_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+        read_files_pattern($1, dspam_var_lib_t, dspam_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	dspam lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`dspam_manage_lib_files',`
+	gen_require(`
+		type dspam_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+        manage_files_pattern($1, dspam_var_lib_t, dspam_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage dspam lib dirs files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`dspam_manage_lib_dirs',`
 	gen_require(`
-		type dspam_t, dspam_var_run_t, dspam_tmp_t;
+		type dspam_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+        manage_dirs_pattern($1, dspam_var_lib_t, dspam_var_lib_t)
+')
+
+
+########################################
+## <summary>
+##	Read dspam PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`dspam_read_pid_files',`
+	gen_require(`
+		type dspam_var_run_t;
 	')
 
 	files_search_pids($1)
+	allow $1 dspam_var_run_t:file read_file_perms;
+')
+
+#######################################
+## <summary>
+##  Connect to DSPAM using a unix domain stream socket.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`dspam_stream_connect',`
+    gen_require(`
+        type dspam_t, dspam_var_run_t, dspam_tmp_t;
+    ')
+
+    files_search_pids($1)
 	files_search_tmp($1)
-	stream_connect_pattern($1, { dspam_tmp_t dspam_var_run_t }, { dspam_tmp_t dspam_var_run_t }, dspam_t)
+    stream_connect_pattern($1, dspam_var_run_t, dspam_var_run_t, dspam_t)
+    stream_connect_pattern($1, dspam_tmp_t, dspam_tmp_t, dspam_t)
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an dspam environment.
+##	All of the rules required to administrate
+##	an dspam environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -59,14 +237,20 @@ interface(`dspam_stream_connect',`
 #
 interface(`dspam_admin',`
 	gen_require(`
-		type dspam_t, dspam_initrc_exec_t, dspam_log_t;
-		type dspam_var_lib_t, dspam_var_run_t;
+		type dspam_t;
+		type dspam_initrc_exec_t;
+		type dspam_log_t;
+		type dspam_var_lib_t;
+		type dspam_var_run_t;
 	')
 
-	allow $1 dspam_t:process { ptrace signal_perms };
+	allow $1 dspam_t:process signal_perms;
 	ps_process_pattern($1, dspam_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 dspam_t:process ptrace;
+	')
 
-	init_labeled_script_domtrans($1, dspam_initrc_exec_t)
+	dspam_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 dspam_initrc_exec_t system_r;
 	allow $2 system_r;
@@ -79,4 +263,5 @@ interface(`dspam_admin',`
 
 	files_search_pids($1)
 	admin_pattern($1, dspam_var_run_t)
+
 ')
Index: serefpolicy-contrib-20140730/dspam.te
===================================================================
--- serefpolicy-contrib-20140730.orig/dspam.te
+++ serefpolicy-contrib-20140730/dspam.te
@@ -28,6 +28,9 @@ files_pid_file(dspam_var_run_t)
 
 allow dspam_t self:capability net_admin;
 allow dspam_t self:process signal;
+
+allow dspam_t self:tcp_socket { listen accept };
+
 allow dspam_t self:fifo_file rw_fifo_file_perms;
 allow dspam_t self:unix_stream_socket { accept listen };
 
@@ -57,6 +60,12 @@ corenet_sendrecv_spamd_server_packets(ds
 corenet_tcp_bind_spamd_port(dspam_t)
 corenet_tcp_connect_spamd_port(dspam_t)
 corenet_tcp_sendrecv_spamd_port(dspam_t)
+corenet_tcp_bind_lmtp_port(dspam_t)
+corenet_tcp_connect_lmtp_port(dspam_t)
+
+kernel_read_system_state(dspam_t)
+
+corecmd_exec_shell(dspam_t)
 
 files_search_spool(dspam_t)
 
@@ -64,14 +73,30 @@ auth_use_nsswitch(dspam_t)
 
 logging_send_syslog_msg(dspam_t)
 
-miscfiles_read_localization(dspam_t)
-
 optional_policy(`
 	apache_content_template(dspam)
+	apache_content_alias_template(dspam, dspam)
+
+	read_files_pattern(dspam_script_t, dspam_var_lib_t, dspam_var_lib_t)
+
+	files_search_var_lib(dspam_script_t)
+
+	domain_dontaudit_read_all_domains_state(dspam_script_t)
+
+	term_dontaudit_search_ptys(dspam_script_t)
+	term_dontaudit_getattr_all_ttys(dspam_script_t)
+	term_dontaudit_getattr_all_ptys(dspam_script_t)
 
-	list_dirs_pattern(dspam_t, httpd_dspam_content_t, httpd_dspam_content_t)
-	manage_dirs_pattern(dspam_t, httpd_dspam_rw_content_t, httpd_dspam_rw_content_t)
-	manage_files_pattern(dspam_t, httpd_dspam_rw_content_t, httpd_dspam_rw_content_t)
+	init_read_utmp(dspam_script_t)
+
+	logging_send_syslog_msg(dspam_script_t)
+
+	mta_send_mail(dspam_script_t)
+
+	optional_policy(`
+	    mysql_tcp_connect(dspam_script_t)
+	    mysql_stream_connect(dspam_script_t)
+	')
 ')
 
 optional_policy(`
@@ -87,3 +112,12 @@ optional_policy(`
 
 	postgresql_tcp_connect(dspam_t)
 ')
+
+optional_policy(`
+    postfix_rw_inherited_master_pipes(dspam_t)
+    postfix_list_spool(dspam_t)
+')
+
+optional_policy(`
+    procmail_domtrans(dspam_t)
+')
Index: serefpolicy-contrib-20140730/entropyd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/entropyd.te
+++ serefpolicy-contrib-20140730/entropyd.te
@@ -12,7 +12,7 @@ policy_module(entropyd, 1.8.0)
 ##	the entropy feeds.
 ##	</p>
 ## </desc>
-gen_tunable(entropyd_use_audio, false)
+gen_tunable(entropyd_use_audio, true)
 
 type entropyd_t;
 type entropyd_exec_t;
@@ -45,9 +45,6 @@ dev_write_urand(entropyd_t)
 dev_read_rand(entropyd_t)
 dev_write_rand(entropyd_t)
 
-files_read_etc_files(entropyd_t)
-files_read_usr_files(entropyd_t)
-
 fs_getattr_all_fs(entropyd_t)
 fs_search_auto_mountpoints(entropyd_t)
 
@@ -55,7 +52,7 @@ domain_use_interactive_fds(entropyd_t)
 
 logging_send_syslog_msg(entropyd_t)
 
-miscfiles_read_localization(entropyd_t)
+auth_use_nsswitch(entropyd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(entropyd_t)
 userdom_dontaudit_search_user_home_dirs(entropyd_t)
Index: serefpolicy-contrib-20140730/evolution.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/evolution.fc
+++ serefpolicy-contrib-20140730/evolution.fc
@@ -1,5 +1,6 @@
 HOME_DIR/\.camel_certs(/.*)?	gen_context(system_u:object_r:evolution_home_t,s0)
 HOME_DIR/\.evolution(/.*)?	gen_context(system_u:object_r:evolution_home_t,s0)
+HOME_DIR/\.cache/evolution(/.*)?	gen_context(system_u:object_r:evolution_home_t,s0)
 
 /tmp/\.exchange-USER(/.*)?	gen_context(system_u:object_r:evolution_exchange_tmp_t,s0)
 
Index: serefpolicy-contrib-20140730/evolution.te
===================================================================
--- serefpolicy-contrib-20140730.orig/evolution.te
+++ serefpolicy-contrib-20140730/evolution.te
@@ -168,7 +168,6 @@ dev_read_urand(evolution_t)
 
 domain_dontaudit_read_all_domains_state(evolution_t)
 
-files_read_usr_files(evolution_t)
 
 fs_search_auto_mountpoints(evolution_t)
 
@@ -187,7 +186,7 @@ userdom_manage_user_tmp_files(evolution_
 
 userdom_manage_user_home_content_dirs(evolution_t)
 userdom_manage_user_home_content_files(evolution_t)
-userdom_user_home_dir_filetrans_user_home_content(evolution_t, { dir file })
+userdom_filetrans_home_content(evolution_t)
 
 userdom_write_user_tmp_sockets(evolution_t)
 
@@ -286,7 +285,6 @@ stream_connect_pattern(evolution_alarm_t
 
 dev_read_urand(evolution_alarm_t)
 
-files_read_usr_files(evolution_alarm_t)
 
 fs_search_auto_mountpoints(evolution_alarm_t)
 
@@ -354,7 +352,6 @@ corecmd_exec_bin(evolution_exchange_t)
 
 dev_read_urand(evolution_exchange_t)
 
-files_read_usr_files(evolution_exchange_t)
 
 fs_search_auto_mountpoints(evolution_exchange_t)
 
@@ -423,7 +420,6 @@ corenet_tcp_connect_http_port(evolution_
 
 dev_read_urand(evolution_server_t)
 
-files_read_usr_files(evolution_server_t)
 
 fs_search_auto_mountpoints(evolution_server_t)
 
Index: serefpolicy-contrib-20140730/exim.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/exim.fc
+++ serefpolicy-contrib-20140730/exim.fc
@@ -1,4 +1,4 @@
-/etc/rc\.d/init\.d/exim[0-9]?	--	gen_context(system_u:object_r:exim_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/exim	--	gen_context(system_u:object_r:exim_initrc_exec_t,s0)
 
 /usr/sbin/exim[0-9]?	--	gen_context(system_u:object_r:exim_exec_t,s0)
 /usr/sbin/exim_tidydb	--	gen_context(system_u:object_r:exim_exec_t,s0)
Index: serefpolicy-contrib-20140730/exim.if
===================================================================
--- serefpolicy-contrib-20140730.orig/exim.if
+++ serefpolicy-contrib-20140730/exim.if
@@ -21,35 +21,51 @@ interface(`exim_domtrans',`
 
 ########################################
 ## <summary>
-##	Execute exim in the exim domain,
-##	and allow the specified role
-##	the exim domain.
+##     Execute the mailman program in the mailman domain.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed to transition.
-##	</summary>
+##     <summary>
+##     Domain allowed to transition.
+##     </summary>
 ## </param>
 ## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
+##     <summary>
+##     The role to allow the mailman domain.
+##     </summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`exim_run',`
+       gen_require(`
+               type exim_t;
+       ')
+
+       exim_domtrans($1)
+       role $2 types exim_t;
+')
+
+########################################
+## <summary>
+##	Execute exim in the exim domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`exim_initrc_domtrans',`
 	gen_require(`
-		attribute_role exim_roles;
+		type exim_initrc_exec_t;
 	')
 
-	exim_domtrans($1)
-	roleattribute $2 exim_roles;
+	init_labeled_script_domtrans($1, exim_initrc_exec_t)
 ')
 
 ########################################
 ## <summary>
-##	Do not audit attempts to read exim
-##	temporary tmp files.
+##	Do not audit attempts to read, 
+##	exim tmp files
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -67,7 +83,7 @@ interface(`exim_dontaudit_read_tmp_files
 
 ########################################
 ## <summary>
-##	Read exim temporary files.
+##	Allow domain to read, exim tmp files
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -86,7 +102,7 @@ interface(`exim_read_tmp_files',`
 
 ########################################
 ## <summary>
-##	Read exim pid files.
+##	Read exim PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -105,7 +121,7 @@ interface(`exim_read_pid_files',`
 
 ########################################
 ## <summary>
-##	Read exim log files.
+##	Allow the specified domain to read exim's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -125,7 +141,8 @@ interface(`exim_read_log',`
 
 ########################################
 ## <summary>
-##	Append exim log files.
+##	Allow the specified domain to append
+##	exim log files.
 ## </summary>
 ## <param name="domain">
 ## 	<summary>
@@ -144,8 +161,7 @@ interface(`exim_append_log',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	exim log files.
+##	Allow the specified domain to manage exim's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -166,7 +182,7 @@ interface(`exim_manage_log',`
 ########################################
 ## <summary>
 ##	Create, read, write, and delete
-##	exim spool directories.
+##	exim spool dirs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -276,7 +292,6 @@ interface(`exim_manage_var_lib_files',`
 ##	Role allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`exim_admin',`
 	gen_require(`
@@ -285,10 +300,14 @@ interface(`exim_admin',`
 		type exim_keytab_t;
 	')
 
-	allow $1 exim_t:process { ptrace signal_perms };
+	allow $1 exim_t:process signal_perms;
 	ps_process_pattern($1, exim_t)
 
-	init_labeled_script_domtrans($1, exim_initrc_exec_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 exim_t:process ptrace;
+	')
+
+	exim_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 exim_initrc_exec_t system_r;
 	allow $2 system_r;
Index: serefpolicy-contrib-20140730/exim.te
===================================================================
--- serefpolicy-contrib-20140730.orig/exim.te
+++ serefpolicy-contrib-20140730/exim.te
@@ -1,4 +1,4 @@
-policy_module(exim, 1.7.2)
+policy_module(exim, 1.6.1)
 
 ########################################
 #
@@ -55,7 +55,7 @@ type exim_log_t;
 logging_log_file(exim_log_t)
 
 type exim_spool_t;
-files_type(exim_spool_t)
+files_spool_file(exim_spool_t)
 
 type exim_tmp_t;
 files_tmp_file(exim_tmp_t)
@@ -64,7 +64,7 @@ type exim_var_run_t;
 files_pid_file(exim_var_run_t)
 
 ifdef(`distro_debian',`
-	init_daemon_pid_file(exim_var_run_t, dir, "exim4")
+	init_daemon_run_dir(exim_var_run_t, "exim4")
 ')
 
 ########################################
@@ -105,11 +105,10 @@ can_exec(exim_t, exim_exec_t)
 kernel_read_crypto_sysctls(exim_t)
 kernel_read_kernel_sysctls(exim_t)
 kernel_read_network_state(exim_t)
-kernel_dontaudit_read_system_state(exim_t)
+kernel_read_system_state(exim_t)
 
 corecmd_search_bin(exim_t)
 
-corenet_all_recvfrom_unlabeled(exim_t)
 corenet_all_recvfrom_netlabel(exim_t)
 corenet_tcp_sendrecv_generic_if(exim_t)
 corenet_udp_sendrecv_generic_if(exim_t)
@@ -151,10 +150,10 @@ fs_getattr_xattr_fs(exim_t)
 fs_list_inotifyfs(exim_t)
 
 auth_use_nsswitch(exim_t)
+auth_domtrans_chk_passwd(exim_t)
 
 logging_send_syslog_msg(exim_t)
 
-miscfiles_read_localization(exim_t)
 miscfiles_read_generic_certs(exim_t)
 
 userdom_dontaudit_search_user_home_dirs(exim_t)
@@ -170,9 +169,9 @@ tunable_policy(`exim_can_connect_db',`
 	corenet_sendrecv_mssql_client_packets(exim_t)
 	corenet_tcp_connect_mssql_port(exim_t)
 	corenet_tcp_sendrecv_mssql_port(exim_t)
-	corenet_sendrecv_oracledb_client_packets(exim_t)
-	corenet_tcp_connect_oracledb_port(exim_t)
-	corenet_tcp_sendrecv_oracledb_port(exim_t)
+	corenet_sendrecv_oracle_client_packets(exim_t)
+	corenet_tcp_connect_oracle_port(exim_t)
+	corenet_tcp_sendrecv_oracle_port(exim_t)
 ')
 
 tunable_policy(`exim_read_user_files',`
@@ -186,8 +185,8 @@ tunable_policy(`exim_manage_user_files',
 ')
 
 optional_policy(`
-	clamav_domtrans_clamscan(exim_t)
-	clamav_stream_connect(exim_t)
+	antivirus_domtrans(exim_t)
+	antivirus_stream_connect(exim_t)
 ')
 
 optional_policy(`
@@ -210,11 +209,6 @@ optional_policy(`
 ')
 
 optional_policy(`
-	mailman_read_data_files(exim_t)
-	mailman_domtrans(exim_t)
-')
-
-optional_policy(`
 	nagios_search_spool(exim_t)
 ')
 
@@ -236,6 +230,7 @@ optional_policy(`
 
 optional_policy(`
 	procmail_domtrans(exim_t)
+	procmail_read_home_files(exim_t)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/fail2ban.if
===================================================================
--- serefpolicy-contrib-20140730.orig/fail2ban.if
+++ serefpolicy-contrib-20140730/fail2ban.if
@@ -19,57 +19,57 @@ interface(`fail2ban_domtrans',`
 	domtrans_pattern($1, fail2ban_exec_t, fail2ban_t)
 ')
 
-########################################
+#######################################
 ## <summary>
-##	Execute the fail2ban client in
-##	the fail2ban client domain.
+##  Execute the fail2ban client in
+##  the fail2ban client domain.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed to transition.
-##	</summary>
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
 ## </param>
 #
 interface(`fail2ban_domtrans_client',`
-	gen_require(`
-		type fail2ban_client_t, fail2ban_client_exec_t;
-	')
+    gen_require(`
+        type fail2ban_client_t, fail2ban_client_exec_t;
+    ')
 
-	corecmd_search_bin($1)
-	domtrans_pattern($1, fail2ban_client_exec_t, fail2ban_client_t)
+    corecmd_search_bin($1)
+    domtrans_pattern($1, fail2ban_client_exec_t, fail2ban_client_t)
 ')
 
-########################################
+#######################################
 ## <summary>
-##	Execute fail2ban client in the
-##	fail2ban client domain, and allow
-##	the specified role the fail2ban
-##	client domain.
+##  Execute fail2ban client in the
+##  fail2ban client domain, and allow
+##  the specified role the fail2ban
+##  client domain.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed to transition.
-##	</summary>
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
 ## </param>
 ## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
+##  <summary>
+##  Role allowed access.
+##  </summary>
 ## </param>
 #
 interface(`fail2ban_run_client',`
-	gen_require(`
-		attribute_role fail2ban_client_roles;
-	')
+    gen_require(`
+        attribute_role fail2ban_client_roles;
+    ')
 
-	fail2ban_domtrans_client($1)
-	roleattribute $2 fail2ban_client_roles;
+    fail2ban_domtrans_client($1)
+    roleattribute $2 fail2ban_client_roles;
 ')
 
 #####################################
 ## <summary>
-##	Connect to fail2ban over a
-##	unix domain stream socket.
+##	Connect to fail2ban over a unix domain
+##	stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -102,64 +102,63 @@ interface(`fail2ban_rw_inherited_tmp_fil
 	')
 
 	files_search_tmp($1)
-	allow $1 fail2ban_tmp_t:file { read write };
+	allow $1 fail2ban_tmp_t:file rw_inherited_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Do not audit attempts to use
-##	fail2ban file descriptors.
+##	Read and write to an fail2ba unix stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain to not audit.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 #
-interface(`fail2ban_dontaudit_use_fds',`
+interface(`fail2ban_rw_stream_sockets',`
 	gen_require(`
 		type fail2ban_t;
 	')
 
-	dontaudit $1 fail2ban_t:fd use;
+	allow $1 fail2ban_t:unix_stream_socket rw_stream_socket_perms;
 ')
 
-########################################
+#######################################
 ## <summary>
-##	Do not audit attempts to read and
-##	write fail2ban unix stream sockets
+##  Do not audit attempts to use
+##  fail2ban file descriptors.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain to not audit.
-##	</summary>
+##  <summary>
+##  Domain to not audit.
+##  </summary>
 ## </param>
 #
-interface(`fail2ban_dontaudit_rw_stream_sockets',`
-	gen_require(`
-		type fail2ban_t;
-	')
+interface(`fail2ban_dontaudit_use_fds',`
+    gen_require(`
+        type fail2ban_t;
+    ')
 
-	dontaudit $1 fail2ban_t:unix_stream_socket { read write };
+    dontaudit $1 fail2ban_t:fd use;
 ')
 
-########################################
+#######################################
 ## <summary>
-##	Read and write fail2ban unix
-##	stream sockets.
+##  Do not audit attempts to read and
+##  write fail2ban unix stream sockets
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain to not audit.
+##  </summary>
 ## </param>
 #
-interface(`fail2ban_rw_stream_sockets',`
-	gen_require(`
-		type fail2ban_t;
-	')
+interface(`fail2ban_dontaudit_rw_stream_sockets',`
+    gen_require(`
+        type fail2ban_t;
+    ')
 
-	allow $1 fail2ban_t:unix_stream_socket rw_stream_socket_perms;
+    dontaudit $1 fail2ban_t:unix_stream_socket { read write };
 ')
 
 ########################################
@@ -178,12 +177,12 @@ interface(`fail2ban_read_lib_files',`
 	')
 
 	files_search_var_lib($1)
-	allow $1 fail2ban_var_lib_t:file read_file_perms;
+	read_files_pattern($1, fail2ban_var_lib_t, fail2ban_var_lib_t)
 ')
 
 ########################################
 ## <summary>
-##	Read fail2ban log files.
+##	Allow the specified domain to read fail2ban's log files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -198,12 +197,14 @@ interface(`fail2ban_read_log',`
 	')
 
 	logging_search_logs($1)
+	allow $1 fail2ban_log_t:dir list_dir_perms;
 	allow $1 fail2ban_log_t:file read_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Append fail2ban log files.
+##	Allow the specified domain to append
+##	fail2ban log files.
 ## </summary>
 ## <param name="domain">
 ## 	<summary>
@@ -217,12 +218,13 @@ interface(`fail2ban_append_log',`
 	')
 
 	logging_search_logs($1)
+	allow $1 fail2ban_log_t:dir list_dir_perms;
 	allow $1 fail2ban_log_t:file append_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Read fail2ban pid files.
+##	Read fail2ban PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -241,8 +243,28 @@ interface(`fail2ban_read_pid_files',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an fail2ban environment.
+##	dontaudit read and write an leaked file descriptors
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`fail2ban_dontaudit_leaks',`
+	gen_require(`
+		type fail2ban_t;
+	')
+
+ 	dontaudit $1 fail2ban_t:tcp_socket { read write };
+	dontaudit $1 fail2ban_t:unix_dgram_socket { read write };
+	dontaudit $1 fail2ban_t:unix_stream_socket { read write };
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate 
+##	an fail2ban environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -251,21 +273,25 @@ interface(`fail2ban_read_pid_files',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the fail2ban domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`fail2ban_admin',`
 	gen_require(`
-		type fail2ban_t, fail2ban_log_t, fail2ban_tmp_t;
-		type fail2ban_var_run_t, fail2ban_initrc_exec_t;
-		type fail2ban_var_lib_t, fail2ban_client_t;
+		type fail2ban_t, fail2ban_log_t, fail2ban_initrc_exec_t;
+		type fail2ban_var_run_t, fail2ban_var_lib_t, fail2ban_tmp_t;
+		type fail2ban_client_t;
 	')
 
-	allow $1 { fail2ban_t fail2ban_client_t }:process { ptrace signal_perms };
+	allow $1 { fail2ban_t fail2ban_client_t }:process signal_perms;
 	ps_process_pattern($1, { fail2ban_t fail2ban_client_t })
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 { fail2ban_t fail2ban_client_t }:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, fail2ban_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 fail2ban_initrc_exec_t system_r;
@@ -277,10 +303,10 @@ interface(`fail2ban_admin',`
 	files_list_pids($1)
 	admin_pattern($1, fail2ban_var_run_t)
 
-	files_search_var_lib($1)
+	files_list_var_lib($1)
 	admin_pattern($1, fail2ban_var_lib_t)
 
-	files_search_tmp($1)
+	files_list_tmp($1)
 	admin_pattern($1, fail2ban_tmp_t)
 
 	fail2ban_run_client($1, $2)
Index: serefpolicy-contrib-20140730/fail2ban.te
===================================================================
--- serefpolicy-contrib-20140730.orig/fail2ban.te
+++ serefpolicy-contrib-20140730/fail2ban.te
@@ -37,7 +37,7 @@ role fail2ban_client_roles types fail2ba
 #
 
 allow fail2ban_t self:capability { dac_read_search dac_override sys_tty_config };
-allow fail2ban_t self:process signal;
+allow fail2ban_t self:process { setsched signal };
 allow fail2ban_t self:fifo_file rw_fifo_file_perms;
 allow fail2ban_t self:unix_stream_socket { accept connectto listen };
 allow fail2ban_t self:tcp_socket { accept listen };
@@ -67,7 +67,6 @@ kernel_read_system_state(fail2ban_t)
 corecmd_exec_bin(fail2ban_t)
 corecmd_exec_shell(fail2ban_t)
 
-corenet_all_recvfrom_unlabeled(fail2ban_t)
 corenet_all_recvfrom_netlabel(fail2ban_t)
 corenet_tcp_sendrecv_generic_if(fail2ban_t)
 corenet_tcp_sendrecv_generic_node(fail2ban_t)
@@ -82,7 +81,6 @@ domain_use_interactive_fds(fail2ban_t)
 domain_dontaudit_read_all_domains_state(fail2ban_t)
 
 files_read_etc_runtime_files(fail2ban_t)
-files_read_usr_files(fail2ban_t)
 files_list_var(fail2ban_t)
 files_dontaudit_list_tmp(fail2ban_t)
 
@@ -94,22 +92,33 @@ auth_use_nsswitch(fail2ban_t)
 logging_read_all_logs(fail2ban_t)
 logging_send_syslog_msg(fail2ban_t)
 
-miscfiles_read_localization(fail2ban_t)
+mta_send_mail(fail2ban_t)
 
 sysnet_manage_config(fail2ban_t)
-sysnet_etc_filetrans_config(fail2ban_t)
-
-mta_send_mail(fail2ban_t)
+sysnet_filetrans_named_content(fail2ban_t)
 
 optional_policy(`
 	apache_read_log(fail2ban_t)
 ')
 
 optional_policy(`
+	dbus_system_bus_client(fail2ban_t)
+	dbus_connect_system_bus(fail2ban_t)
+
+	optional_policy(`
+		firewalld_dbus_chat(fail2ban_t)
+	')
+')
+
+optional_policy(`
 	ftp_read_log(fail2ban_t)
 ')
 
 optional_policy(`
+	gnome_dontaudit_search_config(fail2ban_t)
+')
+
+optional_policy(`
 	iptables_domtrans(fail2ban_t)
 ')
 
@@ -118,6 +127,10 @@ optional_policy(`
 ')
 
 optional_policy(`
+	rpm_exec(fail2ban_t)
+')
+
+optional_policy(`
 	shorewall_domtrans(fail2ban_t)
 ')
 
@@ -131,22 +144,29 @@ allow fail2ban_client_t self:unix_stream
 
 domtrans_pattern(fail2ban_client_t, fail2ban_exec_t, fail2ban_t)
 
+dontaudit fail2ban_client_t fail2ban_var_run_t:dir_file_class_set audit_access;
+allow fail2ban_client_t fail2ban_var_run_t:dir write;
 stream_connect_pattern(fail2ban_client_t, fail2ban_var_run_t, fail2ban_var_run_t, fail2ban_t)
 
 kernel_read_system_state(fail2ban_client_t)
 
 corecmd_exec_bin(fail2ban_client_t)
 
+dev_read_urand(fail2ban_client_t)
+dev_read_rand(fail2ban_client_t)
+
 domain_use_interactive_fds(fail2ban_client_t)
 
-files_read_etc_files(fail2ban_client_t)
-files_read_usr_files(fail2ban_client_t)
 files_search_pids(fail2ban_client_t)
 
+auth_use_nsswitch(fail2ban_client_t)
+
 logging_getattr_all_logs(fail2ban_client_t)
 logging_search_all_logs(fail2ban_client_t)
 
-miscfiles_read_localization(fail2ban_client_t)
-
 userdom_dontaudit_search_user_home_dirs(fail2ban_client_t)
 userdom_use_user_terminals(fail2ban_client_t)
+
+optional_policy(`
+    apache_read_log(fail2ban_client_t)
+')
Index: serefpolicy-contrib-20140730/fcoe.te
===================================================================
--- serefpolicy-contrib-20140730.orig/fcoe.te
+++ serefpolicy-contrib-20140730/fcoe.te
@@ -20,25 +20,31 @@ files_pid_file(fcoemon_var_run_t)
 # Local policy
 #
 
-allow fcoemon_t self:capability { dac_override kill net_admin };
+allow fcoemon_t self:capability { net_admin net_raw dac_override };
 allow fcoemon_t self:fifo_file rw_fifo_file_perms;
 allow fcoemon_t self:unix_stream_socket { accept listen };
 allow fcoemon_t self:netlink_socket create_socket_perms;
 allow fcoemon_t self:netlink_route_socket create_netlink_socket_perms;
+allow fcoemon_t self:packet_socket create_socket_perms;
+allow fcoemon_t self:udp_socket create_socket_perms;
 
 manage_dirs_pattern(fcoemon_t, fcoemon_var_run_t, fcoemon_var_run_t)
 manage_files_pattern(fcoemon_t, fcoemon_var_run_t, fcoemon_var_run_t)
 manage_sock_files_pattern(fcoemon_t, fcoemon_var_run_t, fcoemon_var_run_t)
 files_pid_filetrans(fcoemon_t, fcoemon_var_run_t, { dir file })
 
-files_read_etc_files(fcoemon_t)
-
-dev_read_sysfs(fcoemon_t)
+dev_rw_sysfs(fcoemon_t)
 
 logging_send_syslog_msg(fcoemon_t)
 
 miscfiles_read_localization(fcoemon_t)
 
+userdom_dgram_send(fcoemon_t)
+
 optional_policy(`
 	lldpad_dgram_send(fcoemon_t)
 ')
+
+optional_policy(`
+    networkmanager_dgram_send(fcoemon_t)
+')
Index: serefpolicy-contrib-20140730/fetchmail.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/fetchmail.fc
+++ serefpolicy-contrib-20140730/fetchmail.fc
@@ -1,4 +1,5 @@
 HOME_DIR/\.fetchmailrc	--	gen_context(system_u:object_r:fetchmail_home_t,s0)
+/root/\.fetchmailrc -- gen_context(system_u:object_r:fetchmail_home_t, s0)
 
 /etc/fetchmailrc	--	gen_context(system_u:object_r:fetchmail_etc_t,s0)
 
Index: serefpolicy-contrib-20140730/fetchmail.if
===================================================================
--- serefpolicy-contrib-20140730.orig/fetchmail.if
+++ serefpolicy-contrib-20140730/fetchmail.if
@@ -23,14 +23,16 @@ interface(`fetchmail_admin',`
 		type fetchmail_var_run_t, fetchmail_initrc_exec_t, fetchmail_log_t;
 	')
 
+	ps_process_pattern($1, fetchmail_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 fetchmail_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, fetchmail_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 fetchmail_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	allow $1 fetchmail_t:process { ptrace signal_perms };
-	ps_process_pattern($1, fetchmail_t)
-
 	files_list_etc($1)
 	admin_pattern($1, fetchmail_etc_t)
 
